import { r as registerInstance, h, H as Host } from './core-e6174304.js';
var Container = /** @class */ (function () {
    function Container(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Fluid container
         */
        this.isFluid = false;
    }
    Container.prototype.render = function () {
        var _a;
        return (h(Host, { class: (_a = {
                    container: true,
                    'is-fluid': this.isFluid
                },
                _a[this.breakpoint] = Boolean(this.breakpoint),
                _a[this.class] = Boolean(this.class),
                _a) }));
    };
    Object.defineProperty(Container, "style", {
        get: function () { return ".container{-ms-flex-positive:1;flex-grow:1;margin:0 auto;position:relative;width:auto}.container.is-fluid{max-width:none;padding-left:32px;padding-right:32px;width:100%}\@media screen and (min-width:1024px){.container{max-width:960px}}\@media screen and (max-width:1215px){.container.is-widescreen{max-width:1152px}}\@media screen and (max-width:1407px){.container.is-fullhd{max-width:1344px}}\@media screen and (min-width:1216px){.container{max-width:1152px}}\@media screen and (min-width:1408px){.container{max-width:1344px}}bm-container{display:block}"; },
        enumerable: true,
        configurable: true
    });
    return Container;
}());
export { Container as bm_container };
