import { r as registerInstance, h, H as Host } from './core-e6174304.js';

const Section = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, { class: {
                section: true,
                [this.size]: Boolean(this.size),
                [this.class]: Boolean(this.class),
            } }));
    }
    static get style() { return ".section{padding:3rem 1.5rem}\@media screen and (min-width:1024px){.section.is-medium{padding:9rem 1.5rem}.section.is-large{padding:18rem 1.5rem}}bm-section{display:block}"; }
};

export { Section as bm_section };
