import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Navbar implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Transparent
     */
    isTransparent: boolean;
    /**
     * Color
     */
    color: 'is-black' | 'is-dark' | 'is-light' | 'is-white' | 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Fixed position
     */
    fixedPosition: 'is-fixed-top' | 'is-fixed-bottom';
    /**
     * Spaced
     */
    isSpaced: boolean;
    render(): JSX.Element;
}
