import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Progress implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Value
     */
    value: number;
    /**
     * Maximum value
     */
    max: number;
    /**
     * Color
     */
    color: 'is-primary' | 'is-link' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-small' | 'is-medium' | 'is-large';
    render(): JSX.Element;
}
