import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Field implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Label
     */
    label: string;
    /**
     * Help or error message
     */
    message: string;
    /**
     * Has addons
     */
    hasAddons: boolean;
    /**
     * Field size
     */
    size: 'is-small' | 'is-normal' | 'is-medium' | 'is-large';
    /**
     * Horizontal field
     */
    isHorizontal: boolean;
    /**
     * Grouped field
     */
    isGrouped: boolean;
    /**
     * Grouped, on multiline
     */
    isGroupedMultiline: boolean;
    render(): JSX.Element;
}
