import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Textarea implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * Control class
     */
    controlClass: string;
    /**
     * Value
     */
    value: string | number;
    /**
     * Color
     */
    color: 'is-primary' | 'is-info' | 'is-success' | 'is-warning' | 'is-danger';
    /**
     * Size
     */
    size: 'is-small' | 'is-normal' | 'is-medium' | 'is-large';
    /**
     * State
     */
    state: 'is-hovered' | 'is-focused';
    /**
     * Readonly state
     */
    readonly: boolean;
    /**
     * Disabled state
     */
    disabled: boolean;
    /**
     * Loading state
     */
    isLoading: boolean;
    /**
     * Fixed size
     */
    hasFixedSize: boolean;
    /**
     * Rows
     */
    rows: number;
    render(): JSX.Element;
}
