import { h, Host } from "@stencil/core";
export class Box {
    constructor() {
        /**
         * CSS classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null,
            h("div", { class: {
                    box: true,
                    [this.class]: Boolean(this.class),
                } },
                h("slot", null))));
    }
    static get is() { return "bm-box"; }
    static get originalStyleUrls() { return {
        "$": ["box.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["box.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        }
    }; }
}
