import { h, Host } from "@stencil/core";
export class Footer {
    constructor() {
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null,
            h("footer", { class: {
                    footer: true,
                    [this.class]: Boolean(this.class),
                } },
                h("slot", null))));
    }
    static get is() { return "bm-footer"; }
    static get originalStyleUrls() { return {
        "$": ["footer.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["footer.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS Classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        }
    }; }
}
