import { r as registerInstance, h } from './core-e6174304.js';
var Checkbox = /** @class */ (function () {
    function Checkbox(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Label classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    Checkbox.prototype.render = function () {
        var _a, _b;
        return (h("label", { class: (_a = {
                    checkbox: true
                },
                _a[this.labelClass] = Boolean(this.labelClass),
                _a) }, h("input", { type: "checkbox", class: (_b = {},
                _b[this.class] = Boolean(this.class),
                _b), disabled: this.disabled, checked: this.checked }), h("slot", null)));
    };
    Object.defineProperty(Checkbox, "style", {
        get: function () { return ".checkbox,.radio{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.checkbox input,.radio input{cursor:pointer}.checkbox:hover,.radio:hover{color:#363636}[disabled].checkbox,[disabled].radio,fieldset[disabled] .checkbox,fieldset[disabled] .radio{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:.5em}bm-checkbox[disabled=true] .checkbox{color:#7a7a7a;cursor:not-allowed}"; },
        enumerable: true,
        configurable: true
    });
    return Checkbox;
}());
export { Checkbox as bm_checkbox };
