import { r as registerInstance, h } from './core-e6174304.js';
var Notification = /** @class */ (function () {
    function Notification(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Dismissable
         */
        this.dismissable = true;
    }
    Notification.prototype.render = function () {
        var _a;
        return (h("div", { class: (_a = {
                    notification: true
                },
                _a[this.color] = Boolean(this.color),
                _a[this.class] = Boolean(this.class),
                _a) }, this.dismissable && h("button", { class: "delete" }), h("slot", null)));
    };
    Object.defineProperty(Notification, "style", {
        get: function () { return ".notification:not(:last-child){margin-bottom:1.5rem}.notification{background-color:#f5f5f5;border-radius:4px;padding:1.25rem 2.5rem 1.25rem 1.5rem;position:relative}.notification a:not(.button):not(.dropdown-item){color:currentColor;text-decoration:underline}.notification strong{color:currentColor}.notification code,.notification pre{background:#fff}.notification pre code{background:rgba(0,0,0,0)}.notification>.delete{position:absolute;right:.5rem;top:.5rem}.notification .content,.notification .subtitle,.notification .title{color:currentColor}.notification.is-white{background-color:#fff;color:#0a0a0a}.notification.is-black{background-color:#0a0a0a;color:#fff}.notification.is-light{background-color:#f5f5f5;color:rgba(0,0,0,.7)}.notification.is-dark{background-color:#363636;color:#fff}.notification.is-primary{background-color:#5851ff;color:#fff}.notification.is-info{background-color:#3298dc;color:#fff}.notification.is-success{background-color:#48c774;color:#fff}.notification.is-warning{background-color:#ffdd57;color:rgba(0,0,0,.7)}.notification.is-danger{background-color:#f14668;color:#fff}"; },
        enumerable: true,
        configurable: true
    });
    return Notification;
}());
export { Notification as bm_notification };
