import { r as registerInstance, h } from './core-e6174304.js';
var Radio = /** @class */ (function () {
    function Radio(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Label Classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    Radio.prototype.render = function () {
        var _a, _b;
        return (h("label", { class: (_a = {
                    radio: true
                },
                _a[this.labelClass] = Boolean(this.labelClass),
                _a) }, h("input", { class: (_b = {},
                _b[this.class] = Boolean(this.class),
                _b), type: "radio", name: this.name, disabled: this.disabled, checked: this.checked }), h("slot", null)));
    };
    Object.defineProperty(Radio, "style", {
        get: function () { return ".checkbox,.radio{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.checkbox input,.radio input{cursor:pointer}.checkbox:hover,.radio:hover{color:#363636}[disabled].checkbox,[disabled].radio,fieldset[disabled] .checkbox,fieldset[disabled] .radio{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:.5em}"; },
        enumerable: true,
        configurable: true
    });
    return Radio;
}());
export { Radio as bm_radio };
