import { r as registerInstance, h, H as Host } from './core-e6174304.js';

const Buttons = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null, h("div", { class: {
                buttons: true,
                [this.size]: Boolean(this.size),
                [this.class]: Boolean(this.class),
            } }, h("slot", null))));
    }
    static get style() { return "bm-buttons bm-button:not(:last-child):not(.is-fullwidth){margin-right:.5rem}bm-buttons .buttons:last-child{margin-bottom:0}bm-buttons:last-child{margin-bottom:-.5rem}bm-buttons:not(:last-child){margin-bottom:1rem}bm-buttons .buttons.has-addons bm-button:not(:first-child) .button{border-bottom-left-radius:0;border-top-left-radius:0}bm-buttons .buttons.has-addons bm-button:not(:last-child) .button{border-bottom-right-radius:0;border-top-right-radius:0;margin-right:-1px}bm-buttons .buttons.has-addons bm-button:last-child .button{margin-right:0}"; }
};

export { Buttons as bm_buttons };
