import { r as registerInstance, h } from './core-e6174304.js';

const Tags = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * Has addons
         */
        this.hasAddons = false;
    }
    render() {
        return (h("div", { class: {
                tags: true,
                'has-addons': this.hasAddons,
                [this.size]: Boolean(this.size),
                [this.class]: Boolean(this.class),
            } }, h("slot", null)));
    }
    static get style() { return "bm-tags bm-tag:not(:last-child) .tag{margin-right:.5rem}bm-tags:last-child{margin-bottom:-.5rem}bm-tags:not(:last-child){margin-bottom:1rem}bm-tags .tags.is-right bm-tag:not(:first-child) .tag{margin-left:.5rem}bm-tags .tags.is-right bm-tag:not(:last-child) .tag{margin-right:0}bm-tags .tags.has-addons bm-tag:not(:first-child) .tag{margin-left:0;border-bottom-left-radius:0;border-top-left-radius:0}bm-tags .tags.has-addons bm-tag:not(:last-child) .tag{border-bottom-right-radius:0;border-top-right-radius:0}"; }
};

export { Tags as bm_tags };
