import { JSX, ComponentInterface } from '../../../stencil.core';
export declare class Dropdown implements ComponentInterface {
    /**
     * CSS Classes
     */
    class: string;
    /**
     * The dropdown visibility
     */
    isActive: boolean;
    /**
     * Align the dropdown to the right
     */
    isRight: boolean;
    /**
     * Dropdown menu that appears above the dropdown button
     */
    isUp: boolean;
    /**
     * The dropdown will show up when hovering the dropdown-trigger
     */
    isHoverable: boolean;
    /**
     * Handle Trigger click action
     */
    private handleTriggerClick;
    render(): JSX.Element;
}
